unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
* [PATCH 1/3] performance-test: add argument parsing for performance tests.
@ 2012-12-04  1:17 david
  2012-12-04  1:17 ` [PATCH 2/3] perf-test: cache unpacked corpus david
  2012-12-04  1:17 ` [PATCH 3/3] perf-test: add caching of xapian database david
  0 siblings, 2 replies; 12+ messages in thread
From: david @ 2012-12-04  1:17 UTC (permalink / raw)
  To: notmuch; +Cc: David Bremner

From: David Bremner <bremner@debian.org>

This patch just sets (non-exported) variables. The variable $debug is
already used, and $corpus_size will be used in following commits.
---
 performance-test/perf-test-lib.sh |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/performance-test/perf-test-lib.sh b/performance-test/perf-test-lib.sh
index 1399d05..bba793d 100644
--- a/performance-test/perf-test-lib.sh
+++ b/performance-test/perf-test-lib.sh
@@ -1,5 +1,30 @@
 . ./version.sh
 
+corpus_size=large
+
+while test "$#" -ne 0
+do
+	case "$1" in
+	-d|--debug)
+		debug=t;
+		shift
+		;;
+	-s|--small)
+		corpus_size=small;
+		shift
+		;;
+	-m|--medium)
+		corpus_size=medium;
+		shift
+		;;
+	-l|--large)
+		corpus_size=large;
+		shift
+		;;
+	*)
+		echo "error: unknown performance test option '$1'" >&2; exit 1 ;;
+	esac
+done
 . ../test/test-lib-common.sh
 
 set -e
-- 
1.7.10.4

^ permalink raw reply related	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2012-12-05 12:23 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-12-04  1:17 [PATCH 1/3] performance-test: add argument parsing for performance tests david
2012-12-04  1:17 ` [PATCH 2/3] perf-test: cache unpacked corpus david
2012-12-05  4:55   ` Austin Clements
2012-12-04  1:17 ` [PATCH 3/3] perf-test: add caching of xapian database david
2012-12-04  4:18   ` [PATCH 1/4] perf-test: add corpus size to output, compact I/O stats david
2012-12-04  4:18     ` [PATCH 2/4] perf-test: bump corpus version to 0.3 david
2012-12-04  4:34       ` David Bremner
2012-12-04  4:18     ` [PATCH 3/4] perf-test: unpack tags david
2012-12-05  5:23       ` Austin Clements
2012-12-05 12:23         ` David Bremner
2012-12-04  4:18     ` [PATCH 4/4] perf-test: add nmbug tags to default database david
2012-12-05  5:02   ` [PATCH 3/3] perf-test: add caching of xapian database Austin Clements

Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).